Transaction

The Transaction endpoint is used in a PreAuthorization flow where the initial Checkout call to Signifyd occurs before calling your Payment Gateway for authorization. The checkoutId and orderId indicated in the Transaction request must correspond to identifiers previously received by Signifyd in a successful Checkout call.

After authorizing payment through your payment gateway, use this endpoint to provide the complete transaction details. The transactions array in this call will fully replace any existing transactions on the Order, so it must include both the data from the Checkout call and any new information obtained during authorization. This marks the transaction as complete unless further events, like voids or refunds, occur (which should be indicated by Record Return event).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

An event that records a Transaction.

string
required

Unique identifier for a checkout.

string
required

Unique identifier for the order.

transactions
array of objects
required

A list of payment authorizations that were attempted to pay for the order.

transactions*
stepUpResult
object

Result of an issued step-up challenge, sent after the challenge completes. If this field is omitted on a later Transaction after Signifyd already offered a step-up, the outcome is treated as OVERRIDDEN with no result type.

Headers
int64

The team id requested for authentication. This should normally be omitted, as it's only relevant when auth credentials allow requests for multiple teams.

Responses

204

A 204 response indicates that the request was processed but no response is expected.

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json